@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
body {
  
  margin:0 auto;
}
header{
  background-color: #a3f2d6;
}
.logo-figure {
  /* border-right: 2px solid #08A4D4; */
  border-left: 2px solid #08A4D4;
 
}

.logo-figure:hover {
  /* border-right: 2px solid #C2BE2F; */
  border-left: 2px solid #C2BE2F;
  
  box-sizing: border-box;
}

.logo {
  width: 100%;
  border: none;
  box-shadow: none;
  appearance: none;
}

/* NAVBAR */
li {
  list-style: none;
}
.navbar {
  min-height: 70px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 20px;
}

.nav-menu{
  display: flex;
  gap: 5em;
  justify-content: space-between;
  align-items: center;
}

.nav-link{
  transition: 0.5s ease-in-out;

}
.nav-link:hover{
  background-color: #f6c32c;
  color: white;
  border-radius: 20%;
  padding: 5px;
  font-weight: bold;
}
.hamburguer {
  display:none;
  cursor: pointer;
}
.bar{
  display: block;
  background-color: blue;
  width: 25px;
  height: 3px;
  margin: 5px auto;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}

@media(max-width:850px) {
  .hamburguer {
    display: block;
  }
  .hamburguer.active .bar:nth-child(2) {
    opacity: 0;
  }
  .hamburguer.active .bar:nth-child(1) {
    transform: translateY(8px)rotate(45deg);
  }
  .hamburguer.active .bar:nth-child(3) {
    transform: translateY(-8px)rotate(-45deg);
  }
  .nav-menu{
    position: fixed;
    right: -100%;
    top: 100px;
    gap: 0;
    flex-direction: column;
    background-color: rgba(163, 242, 214, .85);

    width: 90%;
    text-align: center;
    transition: 0.35s;
  }
  .nav-item{
    margin: 16px 0;
  }
  .nav-menu.active{
    right: 0;
  }
  .logo{
    width: 70%;
  }
}


/* hero section  */

.hero {
  background-image: url(../img/hero-image.jpg);
  background-size: cover;
  background-position: center;
  box-sizing: border-box;
  width: 100%;
  height: 500px;
}
.leaf-color{
  color: rgb(2, 87, 10);
}
.leaf-background {
background: rgba(255, 255, 255, 0.65);
box-shadow: 0 5px 15px rgba(0, 0, 0, 5);
padding: 0.25em;
border-radius: 15%;
}

.hidden {
  display: none;
}

.hidden2 {
  display: none;
}

.hidden2.show-hidden{
  display: flex;
}

.hidden.show-hidden{
  display:flex;
}

.display.hide {
  display: none;

}
.display2.hide {
  display: none;

}

/* Fonts */
.nunito-header {
  font-family: 'Nunito', sans-serif;
  font-weight: 700;
}
.nunito {
  font-family: 'Nunito', sans-serif;
  font-weight: 400;
}
.lora-header {
  font-family: 'Lora', serif;
  font-weight: 600;
}
.lora {
  font-family: 'Lora', serif;
  font-weight: 400;
  text-align: justify;
}
.merienda-header{
  font-family: 'Merienda', cursive;
  font-weight: 700;
}
.merienda{
  font-family: 'Merienda', cursive;
  font-weight: 300;
}


/* services */

.card .image-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.imagen-container .imagen {

  overflow: hidden;

  cursor: pointer;

}

.services-background{
  background-color: #caefe0;
}

.card .imagen-continer .imagen img {
  border: 5px solid blue;
  height: 100%;
  width: 100%;
  object-fit: cover;
  transition: 2s linear;
}

.card .imagen-container .imagen:hover img {
  transform: scale(1.1);
}
/* OUR STORY SECTION */
.oursection {
  background-color: rgba(222, 232, 130, 0.827);
}
.oursection-background{
  background-color: rgba(240, 240, 205, 0.827);
}

/* Gallery  and images on media query*/
/* stop ////////////////////////////////////////////////////////////////////////////// */

.worksection {
  background-image: url(../img/sketch-1.JPG);
  background-size: cover;
  background-position: center;
  box-sizing: border-box;
  width: 100%;

}

.flex{
  display: flex;
  justify-content: center;
  align-items: center;
}
.galleria {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}
.gallery-image {
  width: 25%;
  height: calc(50% - 20px);
  min-width: 300px;
  max-height: 225px;
  margin: 10px;
  overflow: hidden;
  cursor: pointer;
  border: 2px inset #f6c32c;
  overflow: hidden;

}
.gallery-image .image{
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: 1s;
}
.gallery-image .image:hover{
  transform: scale(1.1);
}

.popup {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0);
  width: 80%;
  max-width: 1200px;
  height: 90vh;
  max-height: 800px;
  background-color: rgba(0, 0, 0, 0.75);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 5;
  overflow: hidden;
  transition: 1s;
  opacity: 0;
}

.popup.active {
  transform: translate(-50%, -50%) scale(1);
  opacity: 1;
}

.popup.active .close-btn, 
.popup.active .large-image,
.popup.active .arrow-btn,
.popup.active .image-name {
  opacity: 1;
  transition: opacity 0.5s;
  transition-delay: 1s;
}

.top-bar {
  position: absolute;
  top: 0;
  left: 0; 
  width: 100%;
  height: 50px;
  background: #000;
  color:#fff;
  text-align: center;
  line-height: 50px;
  font-weight: 300;
}
.image-name{
  opacity: 0;
}
.close-btn{
  opacity: 0;
  position: absolute;
  top: 15px;
  right: 20px;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: rgba(222, 232, 130, 0.827);
  cursor: pointer; 
 }
 .close-btn:hover {
  color: rgb(168, 237, 168);
  background: #0f0e01;
}
 .pepito {
  position: absolute;
  top: 2px;
  right: 2px;
  transform: scale(1.3);
  background: none;
  color: #0f0e01;
}
.pepito:hover{
  color: rgb(168, 237, 168);
  background: #0f0e01;
}

.arrow-btn {
  opacity: 0;
  position: absolute;
  top: 50%;
  cursor: pointer;
  color: #0f0e01;
  background:rgba(222, 232, 130, 0.827);
}
.index {
  opacity: 0;
}
.left-arrow{
  left: 10px;
}
.right-arrow{
  right: 10px;
}
.arrow-btn:hover {
  color: rgb(168, 237, 168);
  background: #0f0e01;
}
.large-image{
  margin-top: 5%;
  width: 80%;
  height: 80%;
  object-fit: contain;
  opacity: 0;
}

/* paragraphs */

p {
  line-height: 1.5em;
}
/*  */

/* footer */
.icons{
  color:#f6c32c;

}
.footer-style:hover {
  color: #f6c32c;
}

.becky{
  width: 40%;
  border: 2px solid orange;
  border-radius: 5%;
}
/*  */


/* reset styles */
* {
  color: inherit;
  margin: 0;
}

body {
  font-family: Poppins;
}

ul {
  padding: 0;
  list-style-type: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
}

.gap-2 > * {
  padding: 20px;
}

.gap-2 {
  margin-left: -20px;
  margin-right: -20px;
}

.justify-center {
  justify-content: center;
  text-align: center;
}

.align-center {
  align-items: center;
}

.container {
  box-sizing: border-box;
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 20px;
}

.row {
  display: flex;
  flex-flow: row wrap;
}

.pt-6{
  padding-top: 6em;
}

.pb-6 {
  padding-bottom: 6em;
}
.pb-1{
  padding-bottom: 1em;
}
.pb-2{
  padding-bottom: 7rem;
}
@media screen and (min-width: 0) {
  .col-12-xs {
    box-sizing: border-box;
    flex-grow: 0;
    width: 100%;
    flex-direction: column;
  }
  .col-10-xs {
    box-sizing: border-box;
    flex-grow: 0;
    width: 80%;
  }
  .gallery{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
  }
/* images of the gallery do not show while hover is on */
  .before-after{
    opacity: 0;
  }

  .img-box{
    width: 100%;
    height: 400px;
    margin: 0.5em;
    border-radius: 20%;
    background-image: url('../img/unfinished.png');
    background-position: center;
    background-size: cover;
    position: relative;
    transition: width 0.75s;
  }
  

  .img-box2 {
    width: 100%;
    height: 400px;
    margin: 0.5em;
    border-radius: 20%;
    background-image: url('../img/after.png');
    background-position: center;
    background-size: cover;
    position: relative;
    transition: width 0.75s;
  }

  


  .img-box3{
    width: 100%;
    height: 400px;
    margin: 0.5em;
    border-radius: 20%;
    background-image: url('../img/house2before.png');
    background-position: center;
    background-size: cover;
    position: relative;
    transition: width 0.75s;
  }

  

  .img-box4{
    width: 100%;
    height: 400px;
    margin: 0.5em;
    border-radius: 20%;
    background-image: url('../img/house2-after.png');
    background-position: center;
    background-size: cover;
    position: relative;
    transition: width 0.75s;
  }

 
  .img-box5{
    width: 100%;
    height: 400px;
    margin: 0.5em;
    border-radius: 20%;
    background-image: url('../img/h3before.png');
    background-position: center;
    background-size: cover;
    position: relative;
    transition: width 0.75s;
  }

  
  .img-box6{
    width: 100%;
    height: 400px;
    margin: 0.5em;
    border-radius: 20%;
    background-image: url('../img/h3after.png');
    background-position: center;
    background-size: cover;
    position: relative;
    transition: width 0.75s;
  }

  
  .img-box7{
    width: 100%;
    height: 400px;
    margin: 0.5em;
    border-radius: 20%;
    background-image: url('../img/h3after.png');
    background-position: center;
    background-size: cover;
    position: relative;
    transition: width 0.75s;
  }


}
@media screen and (min-width: 720px) {
  .col-2-md {
    box-sizing: border-box;
    flex-grow: 0;
    width: 20%;
  }
  .col-4-md {
    box-sizing: border-box;
    flex-grow: 0;
    width: 33.3333333333%;
  }
  .col-5-md {
    box-sizing: border-box;
    flex-grow: 0;
    width: 41.6666666667%;
  }
  .col-6-md {
    box-sizing: border-box;
    flex-grow: 0;
    width: 50%;
  }
  /* GALLERY section*/
  .gallery{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
  }
  
}
@media screen and (min-width: 960px) {
  .col-3-lg {
    box-sizing: border-box;
    flex-grow: 0;
    width: 33.333%;
  }
  /* Gallery and images */
  .img-box{
    width: 60%;
    transition: width 0.75s;
  }
   
  .img-box:hover{
    width: 100%;

  }

  .img-box2 {
    width: 60%;
    transition: width 0.75s;
  }
  .img-box2:hover{
    width: 100%;

  }

  .img-box3 {
    width: 60%;
    transition: width 0.75s;
  }
  .img-box3:hover{
    width: 100%;

  }
  .img-box4 {
    width: 60%;
    transition: width 0.75s;
  }
  .img-box4:hover{
    width: 100%;

  }
  
  .img-box5 {
    width: 60%;
    transition: width 0.75s;
  }
  .img-box5:hover{
    width: 100%;

  }
  .img-box6 {
    width: 60%;
    transition: width 0.75s;
  }
  .img-box6:hover{
    width: 100%;

  }
  .img-box7 {
    width: 60%;
    transition: width 0.75s;
  }
  .img-box7:hover{
    width: 100%;

  }
}
@media screen and (min-width: 1200px) {
  .col-1-xl {
    box-sizing: border-box;
    flex-grow: 0;
    width: 8.3333333333%;
  }
}
.text-primary {
  color: #2364f0;
}

.text-secondary {
  color: #1ac888;
}

.text-hover-secondary:hover {
  color: #1ac888;
}

.bg-secondary-light-9 {
  background-color: #b2f1d8;
}

.text-gray {
  color: #808080;
}

.bg-gray-light-7 {
  background-color: #00180f;
}

.text-white {
  color: white;
}

.text-hover-white:hover {
  color: white;
}

.card {
  display: block;
  position: relative;
  /* min-height: 50vh; */
  padding: 1em;
  border: 2px inset #f6c32c;
  border-top-left-radius: 10%;
  border-bottom-right-radius: 20%;
  box-shadow: 3px 10px 15px rgba(0, 0, 0, 0.4);
 
}


.card-flex {
  display: flex;
  position: relative;
  flex-direction: row;
  /* min-height: 50vh; */
  padding: 1em;
  border: 2px solid #f6c32c;
  box-shadow: 3px 10px 15px rgba(0, 0, 0, 0.4);
  border-radius: 5%;
  background-color: #ffffff10;
  backdrop-filter: blur(10px);
  
}

.card-gallery {
  display: block;
  position: relative;
}

.card .card-title {
  padding-bottom: 1em;
  font-size: 2rem;
  font-weight: bold;
  color: #1ac888;
}

.btn-secondary {
  text-decoration: none;
  cursor: pointer;
  display: inline-block;
  border: 0;
  padding: 1em 3em;
  border-radius: 20%;
  background-color: #1ac888;
}
.btn-secondary:hover {
  background-color: #75edc1;
}

.btn-secondaryb {
  text-decoration: none;
  cursor: pointer;
  display: none;
  border: 0;
  padding: 1em 3em;
  border-radius: 20%;
  background-color: #1ac888;
}

.btn-secondaryb.show {
  text-decoration: none;
  cursor: pointer;
  display: inline-block;
  border: 0;
  padding: 1em 3em;
  border-radius: 20%;
  background-color: #1ac888;
}
.btn-secondaryb:hover {
  background-color: #75edc1;
}

.btn-secondaryc {
  text-decoration: none;
  cursor: pointer;
  display: none;
  border: 0;
  padding: 1em 3em;
  border-radius: 20%;
  background-color: #1ac888;
}
.btn-secondaryc:hover {
  background-color: #75edc1;
}
.btn-secondaryc.show {
  text-decoration: none;
  cursor: pointer;
  display: inline-block;
  border: 0;
  padding: 1em 3em;
  border-radius: 20%;
  background-color: #1ac888;
}
.btn-secondaryc:hover {
  background-color: #75edc1;
}

.btn-outlined-secondary {
  text-decoration: none;
  cursor: pointer;
  display: inline-block;
  border: 0;
  padding: 1em 3em;
  border-radius: 20%;
  background-color: #fff;
  border: 1px solid #1ac888;
}
.btn-outlined-secondary:hover {
  background-color: #1ac888;
}

.navbar .container, .navbar-newLeaf .container, .navbar, .navbar-newLeaf {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  box-sizing: border-box;
}

.navbar, .navbar-newLeaf {
  padding: 1em 1em;
  box-shadow: 1px 3px 5px rgba(0, 0, 0, 0.1);
}

.navbar-newLeaf {
  background-color: #a3f2d6;
}

.badge-orange {
  border-radius: 80%;
  background-color: #ffa600;
  padding: 0.25em 0.5em;
  font-size: 0.75rem;
  font-weight: normal;
}

/*  */
.pl-1{
  padding-left: 1em;
}

.pl-2{
  padding-left: 2em;
}
.pl-4 {
  padding-left: 4em;
}

.pr-3 {
  padding-right: 3em;
}
.pt-2{
  padding-top: 2em;
}

.pt-3 {
  padding-top: 3em;
}

.pt-4 {
  padding-top: 6em;
}

.pb-3 {
  padding-bottom: 4em;
}

.pb-4 {
  padding-bottom: 6em;
}

.m-1 {
  margin: 1em;
}

.ml-1 {
  margin-left: 0.5em;
}

.ml-3 {
  margin-left: 4em;
}

.mt-2 {
  margin-top: 2em;
}

.mt-5 {
  margin-top: 8em;
}

.mb-1{
  margin-bottom: 1em;
}

.mb-2 {
  margin-bottom: 2em;
}

.mb-3 {
  margin-bottom: 4em;
}

.display-f {
  display: flex;
}

.font-md {
  font-size: 1rem;
  line-height: 2rem;
}

.font-l{
  font-size: 2rem;;
}

.font-xl {
  font-size: 3rem;
}

.font-xxl {
  font-size: 3.7rem;
}
.decoration{
 height: 15rem;
 border-radius: 50%;
 margin-left: 1em;
}